*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family:serif;
}

body{
  height:100vh;
  background:url('img/desk1.jpg') top/cover no-repeat;
 /* display:flex;
  align-items:center;
  justify-content:center;
  position:relative;*/


    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    flex-direction: column;


}

/* Blur Overlay */
body::before{
  content:'';
  position:absolute;
  inset:0;
   
    background: rgb(0 0 0 / 49%);
}

/* Popup */
.popup{
  position:relative;
  background:#fff;
  width:92%;
  max-width:400px;
  border-radius:18px;
  overflow:hidden;
  display:flex;
  z-index:2;margin-top: 40px;
  box-shadow:0 20px 60px rgba(0,0,0,0.4);
   
}

/* Close Button */
.close-btn{
     position: absolute;
    top: 3px;
    right: 11px;
    font-size: 17px;
    font-weight: 900;
    cursor: pointer;
    color: #3f3d3d;
    transition: 0.3s;
}
.close-btn:hover{
  color:#000;
  transform:scale(1.2);
}

/* Left Image */
.popup-left{
  flex:1;
  background:#f3e9ff;
  display:flex;
  align-items:center;
  justify-content:center;
  padding:40px;
}

img{
  max-width:100%;
  height:auto;
}

/* Right Content */
.popup-right{
  flex:1;
  padding:25px 20px;
  text-align:center;
}

/* Heading */
.popup-right h1{
        font-size: 2.2rem;
    line-height: 1.3;
    margin: 10px;
    font-weight: 300;
    text-align: center;
    text-decoration: underline;
}

/* Ratings */
.rating {
    color: #f5a623;
    padding: 1px 5px 10px 5px;
    font-size: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    margin-bottom: 20px;
    background-color: #F3F3F3;
}



.rating span{
  color:#4a64b7;
 font-size: 18px;
    font-weight: 600;
}

/* Description */
.desc{
    text-align: center;
    color: #040404;
    
}

.btn-confirm {
    width: 100%;
       background: linear-gradient(135deg, #d61313 0%, #d61313 100%);
    color: #ffffff;
    border: none;
    padding: 13px 30px;
    border-bottom: 5px #053c19 solid;
    font-size: 19px;
    font-weight: 700;
    font-family: system-ui;     text-transform: capitalize !important;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.15s, box-shadow 0.15s, opacity 0.15s;
    letter-spacing: 0.3px;
    box-shadow: 0 2px 0 #0a8533;
    
}

.btn-confirm::after {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;  
  width: 100%;
  height: 100%;
  
}

.btn-confirm:hover::after {
  left: 100%; 
}


.btn-confirm:hover {
  transform: translateY(-1px);
  box-shadow: 0 6px 24px rgba(13,27,42,0.3);
}

.btn-confirm:active { transform: translateY(0); }



/* Button */
.cta-btn{
  display:inline-block;
  background:#1bb14c;
  color:#fff;
  padding:16px 30px;
  font-size:22px;
  font-weight:700;
  border-radius:10px;
  text-decoration:none;
  transition:0.3s;
  box-shadow:0 6px 0 #0e7f34;

}
.cta-btn:hover{
  background:#15913e;
 
  box-shadow:0 8px 0 #0e7f34;
}

@keyframes fadeIn{
  from{opacity:0; transform:scale(0.9);}
  to{opacity:1; transform:scale(1);}
}

.productimg{
            max-width: 270px;
        height: auto;
        border-radius: 10px;
}



.des-p1{
  font-size: 1.2rem
}

.des-p2{
  font-size: 1.6rem;
    line-height: 1.3;
    margin: 10px;
    font-weight: 700;
    text-align: center; 
}



/* Responsive */
@media(max-width:768px){
  .popup{
    flex-direction:column;
  }
  .popup-left{
    padding:20px;
  }
  .popup-right{
    padding:25px 12px;
  }
  .popup-right h1{
    font-size: 2.0rem;
    line-height: 1.3;
  }
  .desc{
    font-size:14px;
  }
  .cta-btn{
    font-size:18px;
   padding:16px 30px;
  }


    body{
      height:100vh;
      background:url('img/mob1.jpg') top/cover no-repeat;
    }

 
   .desc{ 
            margin: 10px 0;
    }

    .productimg{
      max-width: 240px;
      height: auto;
      border-radius: 10px;
    }

    .des-p1 {
        font-size: 1.1rem;
    }

    .des-p2 {
          font-size: 1.5rem; 
      }


         


}